Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Get_Opt.h File Reference

`#include "ace/SStringfwd.h"`
`#include "ace/Containers.h"`
`#include "ace/Get_Opt.inl"`

Include dependency graph for Get_Opt.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Get_Opt
| Iterator for parsing command-line arguments. More...
class | ACE_Get_Opt::ACE_Get_Opt_Long_Option

## Detailed Description

Id
  Get_Opt.h,v 4.46 2005/11/03 17:19:49 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

  Don Hinton <dhinton@gmx.net> (added long option support)